Validate S3 Connectivity

Validate S3 Connectivity

Check S3 connectivity from a given environment. Returns the failures if any.
Authorized Roles : PROVIDER

Request
URI
POST
https://{api_host}/provider/environments/{id}/check-s3-connectivity
COPY
Path Parameters
string
id
Required

ID of the Environment


Request Body
Array of S3StorageDetailsDto of type(s) application/json
Optional
[
    {
        "id": "string",
        "name": "string",
        "endpoint": "string",
        "bucket": "string",
        "accessKey": "string",
        "secretKey": [
            "string"
        ],
        "region": "string",
        "thumbprint": "string",
        "templateStorage": false
    }
]
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Operation doesn't return any data structure

206

Partial Content

[
    {
        "storageId": "string",
        "thumbprint": "string",
        "storageName": "string"
    }
]

400

Bad Request

[
    {
        "storageId": "string",
        "storageName": "string",
        "errorCode": {
            "type": "string"
        },
        "errorMessage": "string"
    }
]